"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BinaryDataError = void 0;
/**
 * An error that indicates that binary data was structurally invalid.
 *
 * @internal
 */
class BinaryDataError extends Error {
    constructor(message) {
        super(message);
        this.toString = () => {
            return `${this.name}: ${this.message}`;
        };
        // See https://github.com/Microsoft/TypeScript/wiki/Breaking-Changes
        // #extending-built-ins-like-error-array-and-map-may-no-longer-work
        Object.setPrototypeOf(this, BinaryDataError.prototype);
    }
}
exports.BinaryDataError = BinaryDataError;
