import { MetadataEntityModel } from "../MetadataEntityModel";
import { PropertyTableModel } from "../PropertyTableModel";
/**
 * Implementation of a `MetadataEntityModel` that is backed by binary
 * data (specifically, by a `PropertyTableModel`)
 *
 * @internal
 */
export declare class BinaryMetadataEntityModel implements MetadataEntityModel {
    private readonly _propertyTableModel;
    private readonly _entityIndex;
    private readonly _semanticToPropertyId;
    constructor(propertyTableModel: PropertyTableModel, entityIndex: number, semanticToPropertyId: {
        [key: string]: string;
    });
    /** {@inheritDoc MetadataEntityModel.getPropertyValue} */
    getPropertyValue(propertyId: string): any;
    /** {@inheritDoc MetadataEntityModel.getPropertyValueBySemantic} */
    getPropertyValueBySemantic(semantic: string): any;
}
//# sourceMappingURL=BinaryMetadataEntityModel.d.ts.map