/**
 * Methods for converting ZIP files into 3D Tiles packages.
 */
export declare class ZipToPackage {
    /**
     * Writes the data from the given input file (which is assumed to be a plain
     * ZIP file) into a tileset target.
     *
     * The type of the output depends on the extension of the output file name:
     * If it is `.3tz`, then the output will be a 3TZ archive
     * If it is `.3dtiles`, then the output will be a 3DTILES package
     * If it is empty, then the output will be a directory
     *
     * @param inputFileName The full input file name
     * @param outputFileName The full output file name
     * @param overwrite Whether the output file should be overwritten
     * if it already exists
     */
    static convert(inputFileName: string, outputFileName: string, overwrite: boolean): Promise<void>;
}
//# sourceMappingURL=ZipToPackage.d.ts.map