/// <reference types="node" />
import { TilesetSource } from "./TilesetSource";
/**
 * Implementation of a TilesetSource based on a directory
 * in a file system
 *
 * @internal
 */
export declare class TilesetSourceFs implements TilesetSource {
    /**
     * The full name of the directory that contains the tileset.json file
     */
    private fullInputName;
    /**
     * Default constructor
     */
    constructor();
    /** {@inheritDoc TilesetSource.open} */
    open(fullInputName: string): void;
    /** {@inheritDoc TilesetSource.getKeys} */
    getKeys(): IterableIterator<string>;
    /** {@inheritDoc TilesetSource.getValue} */
    getValue(key: string): Buffer | undefined;
    /** {@inheritDoc TilesetSource.close} */
    close(): void;
}
//# sourceMappingURL=TilesetSourceFs.d.ts.map